#!/usr/bin/ruby -I/home/teknomunk/.kde/share/apps/amarok/

require "amarok"
require "rexml/document"

$sectionName="lastfm_weekly_artist_chart"
sectionTitle="Last.fm - Weekly Artist Chart"
AMAROK.addCustomSection( $sectionName )
AMAROK.setCustomSectionTitle( $sectionName, sectionTitle )
AMAROK.setCustomSectionContext( $sectionName, "home" )

def curl( url )
	return `curl "#{url}" 2>/dev/null`
end

# single run on startup to populate the section

result = curl( "http://ws.audioscrobbler.com/1.0/user/teknomunk/weeklyartistchart.xml" )

puts result

doc = REXML::Document.new( result )

# parse the xml document
root = doc.root();

#username = "teknomunk"
#html = ""
#html += "<a href=\"http://www.last.fm/user/#{username}/?chartstyle=greybox\">"
#html += "<img src=\"http://imagegen.last.fm/greybox/artists/#{username}.gif\" border=\"0\" />"
#html += "</a>"

#AMAROK.setCustomSection( $sectionName, html )